%define oname	yard

Name:		ruby-%{oname}
Version:	0.8.7.1
Release:	%mkrel 4
Summary:	Documentation tool for consistent and usable documentation in Ruby
Group:		Development/Ruby
License:	MIT
URL:		http://yardoc.org
Source0:	http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires:	rubygems
BuildRequires:	rubygem(rack)
BuildArch:	noarch

%description
YARD is a documentation generation tool for the Ruby programming language.
It enables the user to generate consistent, usable documentation that can be
exported to a number of formats very easily, and also supports extending for
custom Ruby constructs such as custom class level definitions.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

#-------------------------------------------------------------------------------
%package        doc
Summary:	Documentation for %{name}
Group:		Development/Ruby
Requires:	%{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%files
%doc LEGAL LICENSE README.md
%{_bindir}/yard
%{_bindir}/yardoc
%{_bindir}/yri
%{gem_instdir}/
%{gem_spec}


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 0.8.7.1-4.mga4
+ Revision: 562619
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.8.7.1-3.mga4
+ Revision: 535763
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.8.7.1-2.mga4
+ Revision: 482373
- Rebuild for Ruby 2

* Mon Sep 16 2013 pterjan <pterjan> 0.8.7.1-1.mga4
+ Revision: 480444
- 0.8.7.1
- Use gem_setup
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 0.8.3-3.mga3
+ Revision: 396629
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.8.3-2.mga3
+ Revision: 381631
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 0.8.3-1.mga3
+ Revision: 312013
- drop check section
- new version  0.8.3

  + solbu <solbu>
    - New version
    - Spec cleanup
    - Add legalese documentation to main package

* Sun May 01 2011 shikamaru <shikamaru> 0.6.8-2.mga1
+ Revision: 94090
- FIXME: disable one test that fails on bs but not here?\226?\128?\166
- add check section

* Sat Apr 16 2011 shikamaru <shikamaru> 0.6.8-1.mga1
+ Revision: 86045
- new version 0.6.8

* Sat Apr 09 2011 shikamaru <shikamaru> 0.6.7-1.mga1
+ Revision: 82580
- new version 0.6.7

* Wed Feb 02 2011 shikamaru <shikamaru> 0.6.4-1.mga1
+ Revision: 46471
- imported package ruby-yard


* Wed Jan 26 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.6.4-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- New version 0.6.4

* Tue Dec 07 2010 Rémy Clouard <shikamaru@mandriva.org> 0.5.3-1mdv2011.0
+ Revision: 614566
- import rubygem-yard
